Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.pp.para.styleenums
Enum TCompactMode

    java.lang.Object
      java.lang.Enum<TCompactMode>
          gudusoft.gsqlparser.pp.para.styleenums.TCompactMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TCompactMode>

    public enum TCompactMode

extends java.lang.Enum<TCompactMode>

Enum Constant Summary
`CpmNone`
`Cpmugly`

Method Summary
`static TCompactMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TCompactMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CpmNone

    public static final TCompactMode CpmNone

### Cpmugly

    public static final TCompactMode Cpmugly

Method Detail

### values

    public static final TCompactMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TCompactMode c : TCompactMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TCompactMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD